> For the complete documentation index, see [llms.txt](https://docs.omypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omypayments.com/api/api-endpoints/get-merchant-asset-data.md).

# Get Merchant Asset Data

**Prerequisites:**

Make sure the tokens you intend to accept are **enabled and fully configured** in the **Assets** section of your OMY Payments dashboard (<https://dashboard.omypayments.com/>).

{% content-ref url="/pages/r3JfZmGJoPhkWSXmnwvL" %}
[Enabling Tokens](/getting-started/markdown/enabling-tokens.md)
{% endcontent-ref %}

**Request:**

```http
GET /1.0/merchant/asset?id=UUID
```

**Response (200 OK):**

```json
{
  "id": "uuid", // Asset UUID
  "wallet": "0x0000000000000000000000000000000000000000", // Merchant asset wallet address
  "feePercent": "5", // Metchant asset fee in percent
  "feeUsd": "1", // Merchant asset fee in USD
  "balance": "0", // Merchant asset balance
  "balanceInUsd": "0", // Merchant asset balance in USD
  "balanceForWithdrawal": "0", // Merchant asset balance that available for withdrawal
  "crypto": { // Asset cryto
    "id": "uuid", // Crypto UUID
    "title": "Tether USD", // Crypto title
    "symbol": "USDT" // Crypto symbol
    "contractAddress": "0x0000000000000000000000000000000000000000" // Crypto contract address
    "decimals": 6 // Crypto decimals
    "logoURI": "https://..." // Crypto logo URI
  },
  "network": { // Asset network
    "id": "UUID", // Network UUID
    "title": "Ethereum", // Network title
    "symbol": "ETH", // Network symbol
    "chainId": "1" // Network chain ID
    "chainType": "evm" // Network type
  },
  "createdAt": "2025-01-01 00:00:00" // Asset datetime creation (UTC+0)
}
```

**Error Response (500 Internal Server Error):**

```json
{
    "success": false,
    "message": "Internal Server Error",
    "statusCode": 500
}
```
